# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.542   -> 1.543  
#	drivers/usb/core/usb.c	1.44    -> 1.45   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/22	dkuhlen@fhm.edu	1.543
# [PATCH] fix USB documentation bug
# 
# USB fix documentation bug
# 
#  After some source investigations I discovered a harmless mistake:
#  The description of the  usb_control_msg(...) function says
#  it returns 0, or less than 0 if an error occured, but
#  the usb_internal_control_msg returns length, which is sometimes >0
#  (success) or <0 if error.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Mon Apr 22 14:28:08 2002
+++ b/drivers/usb/core/usb.c	Mon Apr 22 14:28:08 2002
@@ -1182,7 +1182,7 @@
  *	This function sends a simple control message to a specified endpoint
  *	and waits for the message to complete, or timeout.
  *	
- *	If successful, it returns 0, otherwise a negative error number.
+ *	If successful, it returns the number of bytes transferred, otherwise a negative error number.
  *
  *	Don't use this function from within an interrupt context, like a
  *	bottom half handler.  If you need an asynchronous message, or need to send
